net.corda.client.model

## Class TrackedDelegate<M>

- net.corda.client.model.TrackedDelegate<M>

- Direct Known Subclasses:
    TrackedDelegate.EventSinkDelegate, TrackedDelegate.EventStreamDelegate, TrackedDelegate.ObjectPropertyDelegate, TrackedDelegate.ObservableDelegate, TrackedDelegate.ObservableListDelegate, TrackedDelegate.ObservableListReadOnlyDelegate, TrackedDelegate.ObservableValueDelegate, TrackedDelegate.ObserverDelegate, TrackedDelegate.SubjectDelegate, TrackedDelegate.WritableValueDelegate

      public class TrackedDelegate<M>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TrackedDelegate.EventSinkDelegate<M,T>`
    `static class` | `TrackedDelegate.EventStreamDelegate<M,T>`
    `static class` | `TrackedDelegate.ObjectPropertyDelegate<M,T>`
    `static class` | `TrackedDelegate.ObservableDelegate<M,T>`
    `static class` | `TrackedDelegate.ObservableListDelegate<M,T>`
    `static class` | `TrackedDelegate.ObservableListReadOnlyDelegate<M,T>`
    `static class` | `TrackedDelegate.ObservableValueDelegate<M,T>`
    `static class` | `TrackedDelegate.ObserverDelegate<M,T>`
    `static class` | `TrackedDelegate.SubjectDelegate<M,T>`
    `static class` | `TrackedDelegate.WritableValueDelegate<M,T>`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `kotlin.reflect.KClass<M>` | `getKlass()`

- - ### Method Detail

    - #### getKlass

          public kotlin.reflect.KClass<M> getKlass()